<?php
class ofdfermaBackendAction extends waViewAction
{
    // Действие по умолчанию
    public function execute()   {   
        
        $countPage = 30;
        $limitPage = 6; 
        $mess = false;

        $filter = array(
            'type'      => waRequest::request('filter_type', '', 'string'),
            'order_id'  => waRequest::request('filter_order_id', '', 'string'),
            'sdate'     => waRequest::request('filter_sdate', '', 'string'),
            'edate'     => waRequest::request('filter_edate', '', 'string'),
        );
        
        $model = new ofdfermaCheckModel();        

        $u_id = waRequest::post('update', '', 'string');
        if( !empty($u_id)) { 
            $report = $model->UpdateChecksStatus(array($u_id));  
            
            $mess   = $report;
        }

        $countItem = $model->getCount($filter);    
        
        $page = waRequest::get('page', 1, 'int');
        if ($page < 1 || ($page * $countPage) > $countItem  ) { 
            $page = 1;  
        }       
        
        $offset = ($page - 1) * $countPage;
        $list = $model->getList($offset, $countPage, $filter);  
        
        $start = 1;     
        if($page > $limitPage ) { $start = $page - $limitPage;  }
        $end =  min( (int)($countItem / $countPage), (int)($page + $limitPage)  ); 
        if($end < 1) { $end = 1; }
        $pagination = range($start, $end);


        $this->view->assign('filter', $filter);
        $this->view->assign('page', $page);
        $this->view->assign('pagination', $pagination);
        $this->view->assign('total', $countItem); 
        $this->view->assign('list', $list);
        $this->view->assign('mess', $mess);
        
        $this->setLayout(new ofdfermaDefaultLayout());
    }
}