<?php

class ofdfermaSettingsAction extends waViewAction
{
    public function execute()
    {
        wa('shop');
        $payment = new shopPayment();  	
        $list = $payment->getList();
        $this->view->assign('payments', $list);

		//Timezone
        $timezone_arr = array(    
            'Europe/Moscow' => 'Москва',
            'Europe/Kaliningrad' => 'Калининград',
            'Europe/Ulyanovsk' => 'Ульяновск',
            'Europe/Astrakhan' => 'Астрахань',
            'Europe/Kirov' => 'Киров',
            'Europe/Saratov' => 'Саратов',
            'Europe/Zaporozhye' => 'Запорожье',
            'Europe/Samara' => 'Самара',
            'Europe/Simferopol' => 'Симферополь',
            'Europe/Volgograd' => 'Волгоград',
            'Asia/Barnaul' => 'Барнаул',
            'Asia/Krasnoyarsk' => 'Красноярск',
            'Asia/Omsk' => 'Омск',
            'Asia/Sakhalin' => 'Сахалин',
            'Asia/Tomsk' => 'Томск',
            'Asia/Yekaterinburg' => 'Екатеринбург',
            'Asia/Magadan' => 'Магадан',
            'Asia/Srednekolymsk' => 'Среднеколымск',
            'Asia/Vladivostok' => 'Владивосток',
            'Asia/Irkutsk' => 'Иркутск',
            'Asia/Yakutsk' => 'Якутск',
            'Asia/Anadyr' => 'Анадырь',
            'Asia/Kamchatka' => 'Камчатка',
            'Asia/Novosibirsk' => 'Новосибирск',
        );
        $this->view->assign('timezone_arr', $timezone_arr);        

		//Статус в котором срабатывает формирование чека
		$statuses = array(
			'process' 	=> 'В обработку',
			'pay' 		=> 'Оплачен',
			'ship' 		=> 'Отправлен',
			'refund' 	=> 'Возврат',
			'delete' 	=> 'Удалить',
			'restore' 	=> 'Восстановить',
			'complete' 	=> 'Выполнен',
		);
		$this->view->assign('statuses', $statuses); 
		
		
        $settings = $this->getConfig()->getOption(null); 
  
		wa('ofdferma');
        $model = new ofdfermaCheckModel();  
		
        $html_nds_list = $model->getListNds($settings['setting_nds']); 
		
		$this->view->assign('html_nds_list', $html_nds_list); 
        $this->view->assign('settings', $settings);               
        $this->setLayout(new ofdfermaDefaultLayout());
    }
   

}